Index: rubycfg_asp/trunk/asp_dcre/tinet/netinet/tcp_input.c
===================================================================
--- rubycfg_asp/trunk/asp_dcre/tinet/netinet/tcp_input.c	(revision 314)
+++ rubycfg_asp/trunk/asp_dcre/tinet/netinet/tcp_input.c	(revision 315)
@@ -1422,21 +1369,20 @@
 
 	/*
-	 *  ç¶æ
-ã Time Wait ä¸­ã® CEP ãæ¢ç´¢ããã
+	 *  状態が Time Wait 中の CEP を探索する。
 	 */
 	twcep = tcp_find_twcep(input, *offp);
 	if (twcep != NULL) {
 
-		if (tcph->flags & TCP_FLG_RST)		/* RST ãã©ã°ãåä¿¡ããã¨ãã¯ç¡è¦ããã*/
+		if (tcph->flags & TCP_FLG_RST)		/* RST フラグを受信したときは無視する。*/
 			goto drop;
 		else {
 
 			/*
-			 *    TCP éä¿¡ç«¯ç¹ã Time Wait ã®æãç¸æãã¹ãããã»ã°ã¡ã³ããæ¥ãã¨ãã¯ã
-			 *    ç¸æãã¹ãã® FIN ã«å¯¾ããèªãã¹ãã® ACK ã»ã°ã¡ã³ããéä¸­ã§
-			 *    æå¤±ãããã¨ãæå³ãã¦ããã®ã§ãACK ã»ã°ã¡ã³ããåéããã
+			 *    TCP 通信端点が Time Wait の時、相手ホストからセグメントが来たときは、
+			 *    相手ホストの FIN に対する自ホストの ACK セグメントが途中で
+			 *    損失したことを意味しているので、ACK セグメントを再送する。
 			 */
 
-			/* ãã¹ããªã¼ãã¼ãããããã¯ã¼ã¯ãªã¼ãã¼ã«æ»ãã*/
+			/* ホストオーダーからネットワークオーダーに戻す。*/
 			HTONS(tcph->sport);
 			HTONS(tcph->dport);
@@ -1447,10 +1393,10 @@
 		}
 	else
-		/* æ¨æºã® TCP éä¿¡ç«¯ç¹ãå¾ãã*/
+		/* 標準の TCP 通信端点を得る。*/
 		cep = tcp_find_cep(input, *offp);
 
 #else	/* of #if defined(NUM_TCP_TW_CEP_ENTRY) && NUM_TCP_TW_CEP_ENTRY > 0 */
 
-	/* TCP éä¿¡ç«¯ç¹ãå¾ãã*/
+	/* TCP 通信端点を得る。*/
 	cep = tcp_find_cep(input, *offp);
 
@@ -1458,6 +1404,5 @@
 
 	/*
-	 *  TCP éä¿¡ç«¯ç¹ããªãå ´åã¨ CEP ã®ç¶æ
-ãã¯ã­ã¼ãºãªãç ´æ£ããã
+	 *  TCP 通信端点がない場合と CEP の状態がクローズなら破棄する。
 	 */
 	if (cep == NULL) {
@@ -1477,6 +1422,6 @@
 
 	/*
-	 *  ã³ãã¯ã·ã§ã³éè¨­æ¸ã¿ã§ã»ã°ã¡ã³ããåä¿¡ããã¨ãã¯ã
-	 *  ã¢ã¤ãã«æéã¨çå­ç¢ºèªã¿ã¤ãããªã»ããããã
+	 *  コネクション開設済みでセグメントを受信したときは、
+	 *  アイドル時間と生存確認タイマをリセットする。
 	 */
 	cep->idle = 0;
@@ -1485,23 +1430,19 @@
 		}
 
-	/* CEP ã®ç¶æ
-ã LISTEN ä»¥å¤ã®æã¯ããªãã·ã§ã³ãå¦çããã*/
+	/* CEP の状態が LISTEN 以外の時は、オプションを処理する。*/
 	if (cep->fsm_state != TCP_FSM_LISTEN)
 		parse_option(tcph, cep);
 
 	/*
-	 *  åä¿¡å¯è½ã¦ã£ã³ããµã¤ãºãè¨ç®ããã
+	 *  受信可能ウィンドサイズを計算する。
 	 *
-	 *  rcv_nxt:     åä¿¡ãæå¾
-ãã¦ããæå°ã® SEQï¼ããä»¥åã¯åä¿¡æ¸ã¿ï¼
-	 *  rcv_adv:     åä¿¡ãæå¾
-ãã¦ããæå¤§ã® SEQ
-	 *  rbufsz:      åä¿¡ã¦ã£ã³ããããã¡ãµã¤ãº
-	 *  rwbuf_count:  åä¿¡ã¦ã£ã³ããããã¡ã«ãããã¼ã¿é
-	 *  tcph->sum:   ä»ååä¿¡ãã SDU ãµã¤ãº
+	 *  rcv_nxt:     受信を期待している最小の SEQ（これ以前は受信済み）
+	 *  rcv_adv:     受信を期待している最大の SEQ
+	 *  rbufsz:      受信ウィンドバッファサイズ
+	 *  rwbuf_count:  受信ウィンドバッファにあるデータ量
+	 *  tcph->sum:   今回受信した SDU サイズ
 	 *
-	 *  ä»ååä¿¡ããã»ã°ã¡ã³ããé åºæ´åã­ã¥ã¼ã«é£çµãã
-	 *  å¯è½æ§ãããã®ã§ tcph->sum ãèæ
-®ããã
+	 *  今回受信したセグメントを順序整列キューに連結する
+	 *  可能性があるので tcph->sum を考慮する。
 	 *
 	 */
@@ -1514,15 +1455,14 @@
 		cep->rcv_wnd = cep->rcv_adv - cep->rcv_nxt;
 
-	/* CEP ã®ç¶æ
-ã«ããå¦çãè¡ãã*/
-
-	if (cep->fsm_state == TCP_FSM_LISTEN) {		/* ååãªã¼ãã³ (LISTEN) ã®å¦çã*/
+	/* CEP の状態により処理を行う。*/
+
+	if (cep->fsm_state == TCP_FSM_LISTEN) {		/* 受動オープン (LISTEN) の処理。*/
 		if ((ret = listening(input, cep, *offp, iss)) == RET_RST_DROP)
 			goto reset_drop;
 		else if (ret == RET_DROP)
 			goto drop;
-		trim_length(tcph, cep);			/* åä¿¡ãã SDU é·ãèª¿æ´ããã*/
-
-		if (tcph->flags & TCP_FLG_ACK) {	/* ACK ãã©ã°ã®å¦ç */
+		trim_length(tcph, cep);			/* 受信した SDU 長を調整する。*/
+
+		if (tcph->flags & TCP_FLG_ACK) {	/* ACK フラグの処理 */
 			if ((ret = proc_ack2(input, cep, *offp, &needoutput)) == RET_DROP)
 				goto drop;
@@ -1533,12 +1473,12 @@
 			}
 		}
-	else if (cep->fsm_state == TCP_FSM_SYN_SENT) {	/* è½åãªã¼ãã³ãSYN éä¿¡æ¸ã¿	*/
+	else if (cep->fsm_state == TCP_FSM_SYN_SENT) {	/* 能動オープン、SYN 送信済み	*/
 		if ((ret = syn_sent(tcph, cep)) == RET_RST_DROP)
 			goto reset_drop;
 		else if (ret == RET_DROP)
 			goto drop;
-		trim_length(tcph, cep);			/* åä¿¡ãã SDU é·ãèª¿æ´ããã*/
-
-		if (tcph->flags & TCP_FLG_ACK) {	/* ACK ãã©ã°ã®å¦ç */
+		trim_length(tcph, cep);			/* 受信した SDU 長を調整する。*/
+
+		if (tcph->flags & TCP_FLG_ACK) {	/* ACK フラグの処理 */
 			if ((ret = proc_ack2(input, cep, *offp, &needoutput)) == RET_DROP)
 				goto drop;
@@ -1550,12 +1490,12 @@
 		}
 	else {
-		if (cep->fsm_state == TCP_FSM_SYN_RECVD) {	/* SYN ãåä¿¡ãSYN éä¿¡æ¸ã¿	*/
+		if (cep->fsm_state == TCP_FSM_SYN_RECVD) {	/* SYN を受信、SYN 送信済み	*/
 			/*
-			 *  ç¸æããåä¿¡ç¢ºèªãéããã¦æ¥ã¦ãã
+			 *  相手から受信確認が送られて来ても、
 			 *
-			 *    ACK <= æªç¢ºèªã®æå°éä¿¡ SEQ (snd_una) &&
-			 *           éä¿¡ããæå¤§     SEQ (snd_max) < ACK
+			 *    ACK <= 未確認の最小送信 SEQ (snd_una) &&
+			 *           送信した最大     SEQ (snd_max) < ACK
 			 *
-			 *  ãªãããªã»ãããéã£ã¦ã»ã°ã¡ã³ããç ´æ£ããã
+			 *  なら、リセットを送ってセグメントを破棄する。
 			 */
 			if ((tcph->flags & TCP_FLG_ACK) &&
@@ -1566,5 +1506,5 @@
 
 		/* 
-		 *  RST ãã©ã°ãåä¿¡ããã¨ãã®å¦ç (ç°å¸¸åæ­)
+		 *  RST フラグを受信したときの処理 (異常切断)
 		 */
 		if (tcph->flags & TCP_FLG_RST) {
@@ -1572,11 +1512,11 @@
 			    SEQ_LT(tcph->seq, cep->last_ack_sent + cep->rcv_wnd)) {
 				/*
-				 *  åä¿¡ããã»ã°ã¡ã³ãã® SEQ ããæå¾ã«éä¿¡ãã ACK (last_ack_sent)
-				 *  ãããåä¿¡ã¦ã¤ã³ãã¦ãµã¤ãºã¾ã§ã®éã®å¦ç
+				 *  受信したセグメントの SEQ が、最後に送信した ACK (last_ack_sent)
+				 *  から、受信ウインドウサイズまでの間の処理
 				 */
 				switch (cep->fsm_state) {
-				case TCP_FSM_SYN_RECVD:		/* SYN ãåä¿¡ããSYN éä¿¡æ¸ã¿		*/
-
-					cep->net_error = EV_CNNRF;	/* æ¥ç¶ä¸è½ */
+				case TCP_FSM_SYN_RECVD:		/* SYN を受信し、SYN 送信済み		*/
+
+					cep->net_error = EV_CNNRF;	/* 接続不能 */
 					cep->error     = E_CLS;
 					NET_COUNT_TCP(net_count_tcp[NC_TCP_RECV_RSTS], 1);
@@ -1585,23 +1525,19 @@
 					break;
 
-				case TCP_FSM_ESTABLISHED:	/* ã³ãã¯ã·ã§ã³éè¨­å®äº			*/
-				case TCP_FSM_CLOSE_WAIT:	/* FIN åä¿¡ãã¯ã­ã¼ãºå¾
-ã¡		*/
+				case TCP_FSM_ESTABLISHED:	/* コネクション開設完了			*/
+				case TCP_FSM_CLOSE_WAIT:	/* FIN 受信、クローズ待ち		*/
 					NET_COUNT_MIB(tcp_stats.tcpEstabResets, 1);
 					/* fallthrough */
 
-				case TCP_FSM_FIN_WAIT_1:	/* çµäºãã¦ãFIN éä¿¡æ¸ã¿		*/
-				case TCP_FSM_FIN_WAIT_2:	/* çµäºãFIN ä¼éç¢ºèªåä¿¡ãFINå¾
-ã¡	*/
-
-					cep->net_error = EV_CNRST;	/* æ¥ç¶ãªã»ãã */
+				case TCP_FSM_FIN_WAIT_1:	/* 終了して、FIN 送信済み		*/
+				case TCP_FSM_FIN_WAIT_2:	/* 終了、FIN 伝達確認受信、FIN待ち	*/
+
+					cep->net_error = EV_CNRST;	/* 接続リセット */
 					cep->error     = E_CLS;
 					NET_COUNT_TCP(net_count_tcp[NC_TCP_RECV_RSTS], 1);
 					/* no break; */
 
-				case TCP_FSM_CLOSING:		/* çµäºãFIN äº¤ææ¸ã¿ãACK å¾
-ã¡	*/
-				case TCP_FSM_LAST_ACK:		/* FIN åä¿¡ãçµäºãACK å¾
-ã¡	*/
+				case TCP_FSM_CLOSING:		/* 終了、FIN 交換済み、ACK 待ち	*/
+				case TCP_FSM_LAST_ACK:		/* FIN 受信、終了、ACK 待ち	*/
 
 					cep = tcp_close(cep);
@@ -1613,12 +1549,11 @@
 
 		/*
-		 *  CEP ã®ç¶æ
-ã SYN ãåä¿¡ããSYN éä¿¡æ¸ã¿ã®å ´åã¯ã
-		 *  åä¿¡ã¦ã£ã³ãã«åã¾ãããã«ãã¼ã¿ã
-		 *  èª¿æ´ããåã«ããã®æ¥ç¶ã«ãããã±ãããã©ãããæ¤è¨¼ããã
+		 *  CEP の状態が SYN を受信し、SYN 送信済みの場合は、
+		 *  受信ウィンドに収まるようにデータを
+		 *  調整する前に、この接続によるパケットかどうかを検証する。
 		 *
-		 *    åä¿¡ããç¸æã® SEQ < ç¸æã® SEQ ã®åæå¤ (irs)
+		 *    受信した相手の SEQ < 相手の SEQ の初期値 (irs)
 		 *
-		 *  ããã¯ã"LAND" DoS æ»æã®é²å¾¡ã§ããã
+		 *  これは、"LAND" DoS 攻撃の防御である。
 		 */
 		if (cep->fsm_state == TCP_FSM_SYN_RECVD && SEQ_LT(tcph->seq, cep->irs)) {
@@ -1627,8 +1562,7 @@
 
 		/*
-		 *  åä¿¡ãæå¾
-ãã¦ããæå°ã® SEQ (rcv_nxt) - åä¿¡ããç¸æã® SEQ ã
-		 *  æ­£ãªããrcv_nxt ä»¥åã®ãã¼ã¿ã¯ãã§ã«åä¿¡ãã¦ããã®ã§ããã®é¨åã
-		 *  åé¤ããã
+		 *  受信を期待している最小の SEQ (rcv_nxt) - 受信した相手の SEQ が
+		 *  正なら、rcv_nxt 以前のデータはすでに受信しているので、その部分を
+		 *  削除する。
 		 *                           <---------- rcv_wnd --------->
 		 *                           rcv_nxt                      rcv_nxt + rcv_wnd
@@ -1642,5 +1576,5 @@
 		 *           ^                      ^
 		 *           seq                    seq + len
-		 *           <---------------> åé¤ããã
+		 *           <---------------> 削除する。
 		 */
 		todrop = cep->rcv_nxt - tcph->seq;
@@ -1648,6 +1582,6 @@
 
 			/*
-			 *  SYN ãã©ã°ãã¤ãã¦ããã¨ãã¯ããã®å (1 ãªã¯ããã)
-			 *  SEQ ãé²ããç·æ¥ãã¤ã³ã¿ã¨åé¤ããé·ããèª¿æ´ããã
+			 *  SYN フラグがついているときは、その分 (1 オクテット)
+			 *  SEQ を進め、緊急ポインタと削除する長さを調整する。
 			 */
 			if (tcph->flags & TCP_FLG_SYN) {
@@ -1662,22 +1596,20 @@
 
 			/*
-			 *  åé¤ããé·ãã SDU ããé·ããã¤ã¾ããåä¿¡ãæå¾
-ãã¦ãã
-			 *  æå°ã® SEQ (rcv_nxt) ã«éãã¦ããªããã
-			 *  åé¤ããé·ãã SDU ã¨åãã§ãFIN ãã©ã°ãã¤ãã¦ãªããã°
-			 *  å
-¨ã¦åé¤ããã
+			 *  削除する長さが SDU より長い、つまり、受信を期待している
+			 *  最小の SEQ (rcv_nxt) に達していないか、
+			 *  削除する長さが SDU と同じで、FIN フラグがついてなければ
+			 *  全て削除する。
 			 */
-			if ( todrop >  tcph->sum ||		/* tcph->sum ã¯ TCP ã® SDU é· */
+			if ( todrop >  tcph->sum ||		/* tcph->sum は TCP の SDU 長 */
 			    (todrop == tcph->sum && (tcph->flags & TCP_FLG_FIN) == 0)) {
 				tcph->flags &= ~TCP_FLG_FIN;
 				cep->flags |= TCP_CEP_FLG_ACK_NOW;
-				todrop = tcph->sum;		/* tcph->sum ã¯ TCP ã® SDU é· */
+				todrop = tcph->sum;		/* tcph->sum は TCP の SDU 長 */
 				}
 
 			/*
-			 *  SDU ãåã«è©°ããã
+			 *  SDU を前に詰める。
 			 */
-			if (todrop < tcph->sum) {		/* tcph->sum ã¯ TCP ã® SDU é· */
+			if (todrop < tcph->sum) {		/* tcph->sum は TCP の SDU 長 */
 				memcpy(GET_TCP_SDU(input, *offp),
 				       GET_TCP_SDU(input, *offp) + todrop, (size_t)(tcph->sum - todrop));
@@ -1685,11 +1617,11 @@
 
 			/*
-			 *  SEQ ã¨ SDU é·ãèª¿æ´ããã
+			 *  SEQ と SDU 長を調整する。
 			 */
 			tcph->seq +=     todrop;
-			tcph->sum -= (uint16_t)todrop;	/* tcph->sum ã¯ TCP ã® SDU é· */
+			tcph->sum -= (uint16_t)todrop;	/* tcph->sum は TCP の SDU 長 */
 
 			/*
-			 *  ç·æ¥ãã¤ã³ã¿ãèª¿æ´ããã
+			 *  緊急ポインタを調整する。
 			 */
 			if (tcph->urp > todrop)
@@ -1704,8 +1636,8 @@
 
 		/*  
-		 *  ããã¦ã¼ã¶ã¿ã¹ã¯ãçµäºããå¾ã«ããã¼ã¿ãåä¿¡ãã
-		 *  å ´åã¯ãRST ãéãã
-		 */
-		if (cep->fsm_state == TCP_FSM_LAST_ACK && tcph->sum > 0) {	/* tcph->sum ã¯ TCP ã® SDU é· */
+		 *  もしユーザタスクが終了した後に、データを受信した
+		 *  場合は、RST を送る。
+		 */
+		if (cep->fsm_state == TCP_FSM_LAST_ACK && tcph->sum > 0) {	/* tcph->sum は TCP の SDU 長 */
 			cep = tcp_close(cep);
 			goto reset_drop;
@@ -1713,8 +1645,6 @@
 
 		/*
-		 *  åä¿¡ã»ã°ã¡ã³ããåä¿¡ã¦ã£ã³ããè¶
-ããå ´åã¯ã
-		 *  è¶
-ããåãåãã
+		 *  受信セグメントが受信ウィンドを超える場合は、
+		 *  超えた分を削る。
 		 *
 		 *       <---------- rcv_wnd --------->
@@ -1729,17 +1659,15 @@
 		 *                    ^                      ^
 		 *                    seq                    seq + len
-		 *                                     <-----> åé¤ããã
-		 */
-		todrop = (tcph->seq + tcph->sum) - (cep->rcv_nxt + cep->rcv_wnd);	/* tcph->sum ã¯ TCP ã® SDU é· */
+		 *                                     <-----> 削除する。
+		 */
+		todrop = (tcph->seq + tcph->sum) - (cep->rcv_nxt + cep->rcv_wnd);	/* tcph->sum は TCP の SDU 長 */
 		if (todrop > 0) {
-			if (todrop > tcph->sum) {					/* tcph->sum ã¯ TCP ã® SDU é· */
+			if (todrop > tcph->sum) {					/* tcph->sum は TCP の SDU 長 */
 				/*
-				 *  åä¿¡ãã SDU ã®å
-¨ã¦ãåä¿¡ã¦ã£ã³ããè¶
-ããå ´åã
+				 *  受信した SDU の全てが受信ウィンドを超える場合。
 				 *
-				 *  TIME_WAIT ä¸­ã«ãæ°ããªæ¥ç¶è¦æ±ãåä¿¡ããã
-				 *  å¤ãæ¥ç¶ãç ´æ£ããæ°ããªæ¥ç¶ãéå§ããã
-				 *  ãã ããSEQ ã¯åããé²ãã§ããªããã°ãªããªãã
+				 *  TIME_WAIT 中に、新たな接続要求を受信したら
+				 *  古い接続を破棄し、新たな接続を開始する。
+				 *  ただし、SEQ は前より進んでいなければならない。
 				 */
 				if ((tcph->flags & TCP_FLG_SYN) &&
@@ -1753,8 +1681,7 @@
 
 				/*
-				 *  åä¿¡ã¦ã£ã³ãã 0 ã§ãåä¿¡ãã SEQ ã¨
-				 *  åä¿¡ãæå¾
-ãã¦ããæå°ã® SEQ ãä¸è´ããã¨ãã¯
-				 *  ACK ãè¿ããããä»¥å¤ã¯ãã¼ã¿ãç ´æ£ããACK ãè¿ãã
+				 *  受信ウィンドが 0 で、受信した SEQ と
+				 *  受信を期待している最小の SEQ が一致したときは
+				 *  ACK を返す。それ以外はデータを破棄し、ACK を返す。
 				 */
 				if (cep->rcv_wnd == 0 && (tcph->seq == cep->rcv_nxt || tcph->sum == 0)) {
@@ -1767,11 +1694,11 @@
 					}
 				}
-			tcph->sum -= (uint16_t)todrop;	/* tcph->sum ã¯ TCP ã® SDU é· */
+			tcph->sum -= (uint16_t)todrop;	/* tcph->sum は TCP の SDU 長 */
 			tcph->flags &= ~(TCP_FLG_PUSH | TCP_FLG_FIN);
 			}
 
 		/*
-		 *  ãããSYN ãã»ããããã¦ããã°ã
-		 *  ã¨ã©ã¼ãªã®ã§ RST ãéããæ¥ç¶ãç ´æ£ããã
+		 *  もし、SYN がセットされていれば、
+		 *  エラーなので RST を送り、接続を破棄する。
 		 */
 		if (tcph->flags & TCP_FLG_SYN) {
@@ -1782,9 +1709,8 @@
 
 		/*
-		 *  ãããACK ãã»ããããã¦ããªãå ´åã¯ã
-		 *  ç¶æ
-ã SYN åä¿¡æ¸ã¿ã
-		 *  SYN ãéä¿¡ãããã¨ãã¦ããã°ãå¦çãç¶ãããã
-		 *  ããä»¥å¤ã¯ã»ã°ã¡ã³ããç ´æ£ãã¦çµäºããã
+		 *  もし、ACK がセットされていない場合は、
+		 *  状態が SYN 受信済みか
+		 *  SYN を送信しようとしていれば、処理を続けるが、
+		 *  それ以外はセグメントを破棄して終了する。
 		 */
 		if ((tcph->flags & TCP_FLG_ACK) == 0) {
@@ -1794,5 +1720,5 @@
 		else {
 			/*
-			 * ACK ã®å¦ç
+			 * ACK の処理
 			 */
 			ret = proc_ack1(input, cep, *offp, &needoutput);
@@ -1808,9 +1734,9 @@
 /* step 6 */
 
-	/* éä¿¡ã¦ã£ã³ããæ´æ°ããã*/
+	/* 送信ウィンドを更新する。*/
 	if (update_wnd(tcph, cep) == true)
 		needoutput = true;
 
-	/* ç·æ¥ãã¼ã¿ãå¦çããã*/
+	/* 緊急データを処理する。*/
 	proc_urg(tcph, cep);
 
@@ -1818,11 +1744,10 @@
 
 	/*
-	 *  SDU ãããããFIN ãæªåä¿¡ã®ç¶æ
-ã§ãæåã« FIN ãåä¿¡ããã¨ãã
-	 *  åä¿¡ã»ã°ã¡ã³ãã­ã¥ã¼ã« net_buf ãè¿½å ããã
-	 *  ããä»¥å¤ã®å ´åã¯ãã»ã°ã¡ã³ããç ´æ£ããã
+	 *  SDU があるか、FIN を未受信の状態で、最初に FIN を受信したとき、
+	 *  受信セグメントキューに net_buf を追加する。
+	 *  それ以外の場合は、セグメントを破棄する。
 	 */
 	flags = tcph->flags;
-	if ((tcph->sum > 0 || (flags & TCP_FLG_FIN)) &&		/* tcph->sum ã¯ TCP ã® SDU é· */
+	if ((tcph->sum > 0 || (flags & TCP_FLG_FIN)) &&		/* tcph->sum は TCP の SDU 長 */
 	    TCP_FSM_HAVE_RCVD_FIN(cep->fsm_state) == 0) {
 		flags = reassemble(input, cep, *offp, flags);
@@ -1834,12 +1759,12 @@
 
 	/*
-	 *  FIN ãåä¿¡ãããã³ãã¯ã·ã§ã³ãã¯ã­ã¼ãºããã
+	 *  FIN を受信したらコネクションをクローズする。
 	 */
 	if (flags & TCP_FLG_FIN)
 		close_connection(cep, &needoutput);
 
-	/* åºåãè¡ã£ãå¾çµäºããã*/
+	/* 出力を行った後終了する。*/
 	if (needoutput == true || (cep->flags & TCP_CEP_FLG_ACK_NOW)) {
-		/* éä¿¡ãæç¤ºããã*/
+		/* 送信を指示する。*/
 		cep->flags |=  TCP_CEP_FLG_POST_OUTPUT;
 		sig_sem(SEM_TCP_POST_OUTPUT);
@@ -1850,5 +1775,5 @@
 reset_drop:
 	/*
-	 *  RST éä¿¡å¦ç
+	 *  RST 送信処理
 	 */
 
@@ -1856,5 +1781,5 @@
 		goto drop;
 
-	/* ãã¹ããªã¼ãã¼ãããããã¯ã¼ã¯ãªã¼ãã¼ã«æ»ãã*/
+	/* ホストオーダーからネットワークオーダーに戻す。*/
 
 	HTONS(tcph->sport);
@@ -1870,9 +1795,9 @@
 	else {
 		if (tcph->flags & TCP_FLG_SYN)
-			tcph->sum ++;		/* tcph->sum ã¯ SDU é· */
+			tcph->sum ++;		/* tcph->sum は SDU 長 */
 		tcp_respond(input, cep, tcph->seq + tcph->sum, 0, rbfree, TCP_FLG_RST | TCP_FLG_ACK);
 		}
 
-	/* input ã¯ tcp_respoond ã§è¿å´ãããã*/
+	/* input は tcp_respoond で返却される。*/
 	NET_COUNT_TCP(net_count_tcp[NC_TCP_SEND_RSTS], 1);
 	NET_COUNT_MIB(tcp_stats.tcpOutRsts, 1);
